Subject: bug#7926: 23.2.91; flyspell-mark-duplications-exceptions for English

From: Chong Yidong <[email-masked]>
Date: Sun, 03 Apr 2011 17:01:30 -0400

Reuben Thomas <[email-masked]> writes:

> I’ve added a couple of words to this list for English: “had” and “that”.
> This would seem sensible to add as default (just as “nous” and “vous”
> for French), as “had had” is a straightforward past perfect, and “He
> said he would do it, but that that was dependent on his receiving the
> money”.
>
> The only trouble is what language to pick, because the list specifies
> exceptions per dictionary. So for example, these two should be added for
> american, british, &c. (and in my case, british+accs, because, as
> discussed passim, I like to use accented letters, which is tricky).

I changed flyspell-mark-duplications-exceptions so that the exceptions
can apply to all languages, and added "that" and "had".

(Dictionary-dependent functionality is currently tricky, since IIUC
ispell doesn't provide an easy way to query what dictionary is currently
in use.)